module VenueManagement
  class Engine < ::Rails::Engine
    initializer "venue_management" do 
      OrbitApp.registration "VenueManagement", :type => "ModuleApp" do
        module_label "venue_management.venue_management"
        base_url File.expand_path File.dirname(__FILE__)
        authorizable
        categorizable
        frontend_enabled
        data_count 1..20

        side_bar do
          head_label_i18n 'venue_management.venue_management', icon_class: "icon-globe"
          available_for "managers"
          active_for_controllers (['admin/venue_managements'])
          head_link_path "admin_venue_managements_path"

          context_link 'list_',
                                :link_path=>"admin_venue_managements_path" ,
                                :priority=>1,
                                :active_for_action=>{'admin/venue_managements'=>'index'},
                                :available_for => 'managers'
          context_link 'new_', 
                                :link_path=>"new_admin_venue_management_path" ,
                                :priority=>2,
                                :active_for_action=>{'admin/venue_managements'=>'new'},
                                :available_for => 'managers'
          context_link 'categories',
                                :link_path=>"admin_module_app_categories_path" ,
                                :link_arg=>"{:module_app_id=>ModuleApp.find_by(:key=>'venue_management').id}",
                                :priority=>3,
                                :active_for_action=>{'admin/venue_managements'=>'categories'},
                                :active_for_category => 'VenueManagement',
                                :available_for => 'managers'
          context_link 'venue_management.set_venue_management_items',
                                :link_path=>"admin_venue_management_items_path" ,
                                :priority=>3,
                                :active_for_action=>{'admin/venue_managements'=>'venue_management_items'},
                                :available_for => 'managers'
          context_link 'venue_management.set_venue_management_agreements',
                                :link_path=>"admin_venue_management_agreements_path" ,
                                :priority=>3,
                                :active_for_action=>{'admin/venue_managements'=>'venue_management_agreements'},
                                :available_for => 'managers'
        end

      end
    end
  end
end